<ng-container *ngIf="post$ | async as post">
  <form [formGroup]="form" (ngSubmit)="onAddComment(form)" class="form post post-view">
    <div class="user">
      <div class="post-thumbnail" (click)="post.user.has_stories.length > 0 ? openStoryModal(post.user) : ''"
        [ngClass]="withStory(post.user.has_stories.length > 0) ? 'with-story' : ''"
        (click)="navigateBasedOnStoriesAndUserId(post.user.has_stories, post.user_id)">
        <img [src]="post.user.image ? getImageUrl(post.user.image) : 'assets/images/no-image.png'" />
      </div>
      <div class="name" (click)="navigateBasedOnUserId(post.user_id)">{{ post.user.fname }} {{ post.user.lname }}</div>
    </div>
    <div [ngClass]="{
        'first': myCarousel?.activeId == '0',
        'last': myCarousel?.activeId == post.contents.length - 1
      }">
      <ngb-carousel #myCarousel [showNavigationArrows]="post.contents.length > 1"
        [showNavigationIndicators]="post.contents.length > 1" interval="0">
        <ng-template ngbSlide *ngFor="let content of post.contents; let i = index" [id]="i">
          <img *ngIf="content.type !== 'video'" [src]="getImageUrl(content.content)" class="image" />
          <div class="video-overlay" *ngIf="content.type === 'video'">
            <video controls>
              <source [src]="getImageUrl(content.content)" />
            </video>
          </div>
        </ng-template>
      </ngb-carousel>
    </div>
    <div class="post-options">
      <div class="options">
        <i class="fa fa-star icon" (click)="onLikePost(post)" [ngStyle]="{
            'color': isLiked(post.is_liked) ? '#3bb3df' : null
          }"></i>
        <i class="fa fa-comment icon" [routerLink]="['/post', post.id]"></i>
        <!-- <share-button
          button="facebook"
          text="Share"
          [showText]="true"
          [url]="'https://proxigram.sidewalkdeveloper.com/' + post.id"
        ></share-button> -->
        <!-- <div class="share-icon" aria-label="My icon" [inlineSVG]="'assets/svg/share.svg'"></div> -->
        <!-- <div
          class="fb-share-button"
          data-href="https://proxigram.sidewalkdeveloper.com/' + post.id"
          data-layout="button_count"
          data-size="small"
        >
          <a
            target="_blank"
            href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fproxigram.sidewalkdeveloper.com%2F&amp;src=sdkpreparse"
            class="fb-xfbml-parse-ignore"
          >
            Share
          </a>
        </div> -->
        <button type="button" class="delete" *ngIf="userId === post.user_id" (click)="onDeletePost(post)">
          Delete
        </button>
      </div>
      <span class="date-ago">{{ post.created_at | dateAgo }}</span>
    </div>
    <div class="like-count" *ngIf="post.likes_count > 1 || post.likes_count === 0; else one_like">
      {{ post.likes_count }} Likes
    </div>
    <ng-template #one_like>
      <div class="like-count">{{ post.likes_count }} Like</div>
    </ng-template>
    <div class="caption" [innerHTML]="convertHashTags(post.caption ? post.caption : '')" (click)="goToHashTag($event)">
      {{ post.caption }}
    </div>
    <div class="comments">
      <div class="comment" *ngFor="let comment of post.comments; let i = index">
        <div class="comment-thumbnail" (click)="comment.user.has_stories.length > 0 ? openStoryModal(comment.user) : ''"
          [ngClass]="withStory(comment.user.has_stories.length > 0) ? 'with-story' : ''"
          (click)="navigateBasedOnStoriesAndUserId(comment.user.has_stories, comment.user_id)">
          <img [src]="comment.user.image ? getImageUrl(comment.user.image) : 'assets/images/no-image.png'" alt="" />
        </div>

        <div class="comment-body" [ngStyle]="highlightColor">
          <div (click)="navigateBasedOnUserId(comment.user_id)">
            <div class="comment-name">{{ comment.user.fname }} {{ comment.user.lname }}</div>
          </div>
          <div class="comment-content" [innerHTML]="convertHashTags(comment.comment)" (click)="goToHashTag($event)">
            {{ comment.comment }}
          </div>
          <div class="comment-options">
            <button type="button" class="icon" (click)="onLikeComment(comment)"
              [ngClass]="isLiked(comment.is_liked) ? 'active' : ''">
              {{ comment.likes_count }}
              <i class="fa fa-heart"></i>
            </button>
            <!-- <i class="fa fa-comment comment"></i> -->
            <button type="button" class="delete" *ngIf="userId === comment.user_id" (click)="onDeleteComment(comment)">
              Delete
            </button>
          </div>
        </div>
        <div class="comment-date">{{ comment.created_at | dateAgo }}</div>
      </div>
      <div class="comment-box" *ngIf="profile$ | async as profile">
        <img [src]="profilePhoto ? getImageUrl(profilePhoto) : 'assets/images/no-image.png'"
          [ngClass]="withStory(profile.has_stories?.length > 0) ? 'with-story' : ''"
          (click)="profile.has_stories?.length > 0 ? openStoryModal(profile) : ''" alt=""
          (click)="navigateBasedOnStoriesAndUserId(profile.has_stories, profile.id)" alt="" class="comment-thumbnail" />
        <input type="text" class="input" placeholder="Add a comment" formControlName="comment" />
        <button type="submit" class="button primary" [disabled]="form.invalid || !getSubmitButton()">
          Submit
        </button>
      </div>
    </div>
  </form>
</ng-container>
